unit UNiveaux;

interface

 procedure creerNiveau(const niveau: cardinal);
 procedure niveau2;
 procedure niveau3;
 procedure niveau4;
 procedure niveau5;

implementation

uses UMatrice, UPrincipale;

 procedure creerNiveau(const niveau: cardinal);
 begin
    if niveau >= 2 then niveau2;
    if niveau >= 3 then niveau3;
    if niveau >= 4 then niveau4;
    if niveau >= 5 then niveau5;
 end;

 procedure niveau2;
 var x,y: cardinal;
 begin
    for x:= NB_COLONNES div 2 - 1 to NB_COLONNES div 2 do
       for y:= NB_RANGEES div 2 - 1 to NB_RANGEES div 2 do
          setMatElem(x,y,OBSTACLE);

    setMatElem(NB_COLONNES div 4, NB_RANGEES div 4, OBSTACLE);
    setMatElem(NB_COLONNES div 4, NB_RANGEES div 4 + 1, OBSTACLE);
    setMatElem(NB_COLONNES div 4 + 1, NB_RANGEES div 4, OBSTACLE);

    setMatElem(NB_COLONNES div 4 * 3 - 1, NB_RANGEES div 4, OBSTACLE);
    setMatElem(NB_COLONNES div 4 * 3 - 1, NB_RANGEES div 4 + 1, OBSTACLE);
    setMatElem(NB_COLONNES div 4 * 3 - 2, NB_RANGEES div 4, OBSTACLE);

    setMatElem(NB_COLONNES div 4, NB_RANGEES div 4 * 3 + 1, OBSTACLE);
    setMatElem(NB_COLONNES div 4, NB_RANGEES div 4 * 3, OBSTACLE);
    setMatElem(NB_COLONNES div 4 + 1, NB_RANGEES div 4 * 3 + 1, OBSTACLE);

    setMatElem(NB_COLONNES div 4 * 3 - 1, NB_RANGEES div 4 * 3 + 1, OBSTACLE);
    setMatElem(NB_COLONNES div 4 * 3 - 1, NB_RANGEES div 4 * 3, OBSTACLE);
    setMatElem(NB_COLONNES div 4 * 3 - 2, NB_RANGEES div 4 * 3 + 1, OBSTACLE);
 end;

 procedure niveau3;
 begin
    setMatElem(NB_COLONNES div 8, NB_RANGEES div 8, OBSTACLE);
    setMatElem(NB_COLONNES div 8, NB_RANGEES div 8 + 1, OBSTACLE);
    setMatElem(NB_COLONNES div 8 + 1, NB_RANGEES div 8, OBSTACLE);

    setMatElem(NB_COLONNES div 8 * 7 - 1, NB_RANGEES div 8, OBSTACLE);
    setMatElem(NB_COLONNES div 8 * 7 - 1, NB_RANGEES div 8 + 1, OBSTACLE);
    setMatElem(NB_COLONNES div 8 * 7 - 2, NB_RANGEES div 8, OBSTACLE);

    setMatElem(NB_COLONNES div 8, NB_RANGEES div 8 * 7 + 5, OBSTACLE);
    setMatElem(NB_COLONNES div 8, NB_RANGEES div 8 * 7 + 4, OBSTACLE);
    setMatElem(NB_COLONNES div 8 + 1, NB_RANGEES div 8 * 7 + 5, OBSTACLE);

    setMatElem(NB_COLONNES div 8 * 7 - 1, NB_RANGEES div 8 * 7 + 5, OBSTACLE);
    setMatElem(NB_COLONNES div 8 * 7 - 1, NB_RANGEES div 8 * 7 + 4, OBSTACLE);
    setMatElem(NB_COLONNES div 8 * 7 - 2, NB_RANGEES div 8 * 7 + 5, OBSTACLE);
 end;

 procedure niveau4;
 begin
    setMatElem(NB_COLONNES div 8, NB_RANGEES div 2 - 1, OBSTACLE);
    setMatElem(NB_COLONNES div 8, NB_RANGEES div 2, OBSTAClE);

    setMatElem(NB_COLONNES div 8 * 7 - 1, NB_RANGEES div 2 - 1, OBSTAClE);
    setMatElem(NB_COLONNES div 8 * 7 - 1, NB_RANGEES div 2, OBSTAClE);

    setMatElem(NB_COLONNES div 2 - 1, NB_RANGEES div 8, OBSTAClE);
    setMatElem(NB_COLONNES div 2, NB_RANGEES div 8, OBSTAClE);

    setMatElem(NB_COLONNES div 2 - 1, NB_RANGEES div 8 * 7 + 5, OBSTAClE);
    setMatElem(NB_COLONNES div 2, NB_RANGEES div 8 * 7 + 5, OBSTAClE);
 end;

 procedure niveau5;
 begin
    setMatElem(NB_COLONNES div 8 * 3 - 3, NB_RANGEES div 2 - 1, OBSTAClE);
    setMatElem(NB_COLONNES div 8 * 3 - 3, NB_RANGEES div 2, OBSTAClE);

    setMatElem(NB_COLONNES div 8 * 5 + 2, NB_RANGEES div 2 - 1, OBSTAClE);
    setMatElem(NB_COLONNES div 8 * 5 + 2, NB_RANGEES div 2, OBSTAClE);

    setMatElem(NB_COLONNES div 2 - 1, NB_RANGEES div 8 * 3, OBSTAClE);
    setMatElem(NB_COLONNES div 2, NB_RANGEES div 8 * 3, OBSTAClE);

    setMatElem(NB_COLONNES div 2 - 1, NB_RANGEES div 8 * 5 + 5, OBSTAClE);
    setMatElem(NB_COLONNES div 2, NB_RANGEES div 8 * 5 + 5, OBSTAClE);
 end;

end.
